<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MoveNextUniqueMultiple Method (LockingInfo)
Cursor Class See Also Send Feedback

If the cursor is not yet initialized, MoveNextUniqueMultiple is identical to MoveFirstMultiple(LockingInfo). Otherwise, move the cursor to the next non-duplicate key in the database, and store that key and associated datum and as many duplicate data items that can fit in a buffer the size of one database page in CurrentMultiple. MoveNextUniqueMultiple returns false if no non-duplicate key/data pairs exist after the cursor position in the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#

    public bool MoveNextUniqueMultiple(
    	LockingInfo info
    )

Visual Basic (Declaration)

    Public Function MoveNextUniqueMultiple ( _
    	info As LockingInfo _
    ) As Boolean

Visual C++

    public:
    bool MoveNextUniqueMultiple(
    	LockingInfo^ info
    )

#### Parameters

info
  Type: BerkeleyDB..::.LockingInfo
  The locking behavior to use.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# See Also

Cursor Class
MoveNextUniqueMultiple Overload
BerkeleyDB Namespace